<?php
require ('authentication_manager.php');
?>
<?php

/* 在线修改文件 */
/* 162100源码 - 162100.com */


if (!$_POST['thefile'] || !file_exists($_POST['thefile'])) { //strlen($_POST['content'])==0 || 
  err('参数不全！');
}

if ($_POST['thefile'] == 'inc/require/badword.txt') {
  if (POWER < 4) {
    err('该命令必须以管理员身份登陆！请重登陆。');
  }
} else {
  if (POWER != 5) {
    err('该命令必须以基本管理员身份登陆！请重登陆。');
  }
}

if (!get_magic_quotes_gpc()) {
  $_POST['content'] = addslashes($_POST['content']);
}

if (!empty($_POST['charset'])) {
  if (strtolower($_POST['charset']) != 'utf-8') {
    if (!function_exists('iconv')) {
      err('你的PHP版本不支持编码转换函数（iconv），无法转换成'.$_POST['charset'].'，请选择手动修改文件吧。');
    } else {
      $_POST['content'] = iconv('utf-8', $_POST['charset'], $_POST['content']);
    }
  }
}
$content = $_POST['content'];
$content = preg_replace('/(<[^>]+)(__temp__\/temp\/\d+-[^\/\"\s]+)/ie', '"$1".cha_up("$2").""', $content);

function cha_up($file) {
  $filename = urldecode(basename($file));
  $format = strtolower(ltrim(strrchr($filename, '.'), '.'));
  $title = '__temp__/temp/modify-'.substr($filename, 0, 14).'.'.$format;
  if ($GLOBALS['ofile'] != $filename) {
    if (file_exists('__temp__/temp/'.$filename)) {
      @rename('__temp__/temp/'.$filename, $title);
      $GLOBALS['ofile'] = $filename;
    } else {
      err('转移上传文件出错！上传源文件已经不存在，可能是重复提交造成。');
    }
  } else {
    $GLOBALS['ofile'] = $filename;
  }
  return $title;
}



@ require ('inc/function/write_file.php');
write_file($_POST['thefile'], stripslashes($content));

err('在线修改文件完成！', 'ok');

?>